Bug 576047 - gedit should use GB18030 or GBK as auto detected character encoding in Chinese(汉语(中国))desktop
gedit should use GB18030 or GBK as auto detected character encoding in Chines...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-23 01:05 EDT by He Rui
Modified: 2011-07-04 02:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Chinese file (482.97 KB, text/plain)
2010-03-23 01:05 EDT, He Rui
no flags Details
gedit error window (109.03 KB, image/png)
2010-03-23 01:07 EDT, He Rui
no flags Details
gedit in Fedora 13 ,open it make problem (54.98 KB, text/plain)
2010-04-06 04:01 EDT, Luo Bin
no flags Details

  None (edit)
Description He Rui 2010-03-23 01:05:12 EDT
Created attachment 401937 [details]
Chinese file

Description of problem:
When log in Chinese desktop, use gedit to open a chinese file(attached) by character encoding automatically detected, it can't be opened(see attached). If use GB18030 or GBK encoding, this file can be read normally. 

Version-Release number of selected component (if applicable):
gedit-2.29.8-2.fc13.x86_64
F13-beta-tc1

How reproducible:
100%

Steps to Reproduce:
1.login to Chinese desktop(汉语 中国)
2.gedit file
3.cant open
  
Expected results:
Use GB18030 or GBK as auto detected encoding
Comment 1 He Rui 2010-03-23 01:07:44 EDT
Created attachment 401938 [details]
gedit error window
Comment 2 Peng Wu 2010-03-26 04:30:41 EDT
I checked the schemas in gedit rpm package, and find that the default gconf setting for encoding detection for zh-CN is:
      <key>/schemas/apps/gedit-2/preferences/encodings/auto_detected</key>
      <applyto>/apps/gedit-2/preferences/encodings/auto_detected</applyto>

      <locale name="zh_CN">
        <default>[CURRENT,GB18030,GBK,GB2312,UTF-8,UTF-16]</default>
      </locale>

and moving the CURRENT behind the GB18030 will work around this issue.
->
      <locale name="zh_CN">
        <default>[GB18030,GBK,CURRENT,GB2312,UTF-8,UTF-16]</default>
      </locale>
Comment 3 Luo Bin 2010-03-26 04:53:47 EDT
(In reply to comment #2)
> I checked the schemas in gedit rpm package, and find that the default gconf
> setting for encoding detection for zh-CN is:
>       <key>/schemas/apps/gedit-2/preferences/encodings/auto_detected</key>
>       <applyto>/apps/gedit-2/preferences/encodings/auto_detected</applyto>
> 
>       <locale name="zh_CN">
>         <default>[CURRENT,GB18030,GBK,GB2312,UTF-8,UTF-16]</default>
>       </locale>
> 
> and moving the CURRENT behind the GB18030 will work around this issue.
> ->
>       <locale name="zh_CN">
>         <default>[GB18030,GBK,CURRENT,GB2312,UTF-8,UTF-16]</default>
>       </locale>    

I'm sure that I did follow you advice ,moving the CURRENT behind the GB18030 use gconf-edit,then logout and relogin fedora.

and i found the "auto detecting encoding" problem still exist!

any more help?
Comment 4 Luo Bin 2010-03-28 04:30:46 EDT
the "auto detecting encoding" problem still exist in gedit-2.29.9-1.fc13.i686.rpm
link: http://koji.fedoraproject.org/koji/buildinfo?buildID=164034
Comment 5 Peng Wu 2010-03-28 22:49:26 EDT
I chatted with Luo Bin on #fedora-zh irc.
For users I guess they can manually adjusts the sequence of auto detecting encoding order themselves.

But after modify the auto detecting encoding, it doesn't work on Fedora 13.
I tested on Fedora 12, which is OK.

Maybe this is a regression bug.
Comment 6 Luo Bin 2010-04-06 03:57:23 EDT
New problem found here may helpful to resolve this bug:
gedit can't auto detecting the correct codesetting of the utf-8 text file in attachment (wine.spec).
Comment 7 Luo Bin 2010-04-06 04:01:18 EDT
Created attachment 404644 [details]
gedit in Fedora 13 ,open it make problem
Comment 8 Tommy He 2010-10-02 02:44:05 EDT
This problem still persists in gedit-2.30.4-1.fc14.
Comment 9 Bug Zapper 2011-06-02 12:00:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 11:14:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Tommy He 2011-07-04 02:31:35 EDT
This issue still presents in current Fedora 15.

Please reopen it.

Thanks,

Note You need to log in before you can comment on or make changes to this bug.